ros-humble-tiago-bringup (4.10.0-1bookworm) bookworm; urgency=high

  * simplified logic
  * fix typo
  * fix logic
  * logic fix
  * fix logic of 'general' file
  * fix formatting errors
  * no needed
  * fix to don't let the robot load the no-ee.yaml file if no end effector is selected
  * Change last point of home motion
  * Contributors: Aina, matteovillani

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 28 Nov 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.9.0-1bookworm) bookworm; urgency=high

  * Merge branch 'vmo/joy_limits' into 'humble-devel'
    Adding joystick limits handling
    See merge request robots/tiago_robot!321
  * Adding pal distro condition
  * Adding joystick limits handling
  * Contributors: thomaspeyrucain, vivianamorlando

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 20 Nov 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.8.0-1bookworm) bookworm; urgency=high

  * Remove arm planning group alone
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 20 Nov 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.7.1-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 Nov 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.7.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 Nov 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.6.0-1bookworm) bookworm; urgency=high

  * Add slash to node names on parameter files
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.5.0-1bookworm) bookworm; urgency=high

  * Use launch file directly from base controller_configuration
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.4.0-1bookworm) bookworm; urgency=high

  * Add dependencies and parameter for motor_model
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.3.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.21-1bookworm) bookworm; urgency=high

  * enable odom tf for pmb2 for public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.20-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.19-1bookworm) bookworm; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.18-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.17-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.15-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.14-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/motions' into 'humble-devel'
    pre-recorded_motions
    See merge request robots/tiago_robot!292
  * delete sensor files and fix launch
  * delete sensor files and added epick file
  * linters
  * remove motinos from end-effectors specifics
  * add motions in general
  * add conditionfor no-arm
  * create general motion file & merge them
  * add custom file for posible costumers
  * Merge branch 'dtk/fix/is-public-sim' into 'humble-devel'
    Fix missing public sim arg
    See merge request robots/tiago_robot!290
  * Fix missing public sim arg
  * Merge branch 'fix/motion_planner_files' into 'humble-devel'
    Fix/motion planner files
    See merge request robots/tiago_robot!287
  * new file names
  * Contributors: Aina, Aina Irisarri, David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.12-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.11-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.10-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/joy_device' into 'humble-devel'
    Added proper joy device setup
    See merge request robots/tiago_robot!283
  * Added proper joy device setup
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.9-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/twist_mux_base_type' into 'humble-devel'
    Passing base_type to twist_mux from the bringup properly
    See merge request robots/tiago_robot!282
  * Passing base_type to twist_mux from the bringup properlyy
  * Merge branch 'dtk/fix/robot-state-publisher' into 'humble-devel'
    Dtk/fix/robot state publisher
    See merge request robots/tiago_robot!281
  * Remove robot state publisher from tiago_bringup
  * Merge branch 'omm/feat/new_joy_config' into 'humble-devel'
    New Joy config
    See merge request robots/tiago_robot!280
  * Fixed 1.0 default value
  * Cleaning old config files
  * Contributors: davidterkuile, oscarmartinez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 May 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.8-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Module, joy config and restored support for tiago dual
  * Omni related checks and files
  * Suggested changes
  * Launch files moved to TIAGo family standard
  * Contributors: Oscar, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.7-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.6-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.5-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.4-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 Mar 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.3-1bookworm) bookworm; urgency=high

  * Rename approach_planner config to motion_planner
  * Update approach_planner configuration
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 27 Feb 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.2-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/register-components' into 'humble-devel'
    remove need for remapping cmd_vel topic
    See merge request robots/tiago_robot!262
  * remove need for remapping cmd_vel topic
  * Contributors: antoniobrandi

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.1-1bookworm) bookworm; urgency=high

  * fix condition for no-arm
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.2.0-1bookworm) bookworm; urgency=high

  * Remove right-arm option and use tiago-arm
  * use the same functionality to create the suffix for the config files & match it with tiago_dual
  * change sufix no-end-effector to no-ee
  * update motions from last update in ROS
  * Contributors: Aina Irisarri, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.1.2-1bookworm) bookworm; urgency=high

  * update robotiq motion files
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jan 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.1.1-1bookworm) bookworm; urgency=high

  * adding the config files needed for robotiq
  * fix prepare_grasp motion
  * Contributors: Aina Irisarri

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 18 Jan 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.1.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-tiago-bringup (4.0.28-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.27-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.26-1bookworm) bookworm; urgency=high

  * Update motions file argument name for play_motion2
  * Update approach_planner configurations
  * Use play_motion2 approach_planner config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 13 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.25-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.24-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.23-1bookworm) bookworm; urgency=high

  * Fix wrong placed closing bracket
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 10 Dec 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.22-1bookworm) bookworm; urgency=high

  * Update cmake_minimum_required version to 3.8
  * Cleanup repository
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.21-1bookworm) bookworm; urgency=high

  * Comment end-effector joystick control
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Nov 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.20-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.19-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.18-1bookworm) bookworm; urgency=high

  * Split bringup module
  * Use corresponding arguments for modules
  * Fix malformed .em and regenerate motions cfg
  * Remove unused sonar_to_cloud config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.17-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 18 Oct 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.16-1bookworm) bookworm; urgency=high

  * Merge branch 'add_modules' into 'humble-devel'
    Add pal system modules
    See merge request robots/tiago_robot!227
  * Condition on pal only dependency
  * Adding bringup module
  * Adding joystick module
  * Contributors: Jordan Palacios

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 17 Sep 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.15-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 03 Sep 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.14-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.13-1bookworm) bookworm; urgency=high

  * Remove schunk wsg option
  * Uncomment twist_mux_msgs dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.12-1bookworm) bookworm; urgency=high

  * Regenerate config for no-arm option
  * Fix config files generator
  * Remove pal flags dependency
  * update hey5 joystick config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.11-1bookworm) bookworm; urgency=high

  * run gripper_incrementer only when using pal-gripper
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 27 Jun 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.10-1bookworm) bookworm; urgency=high

  * load the proper joy_telop config file
  * config files regeneration
  * unify file generator and get_tiago_hw_suffix method
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.9-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 May 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.8-1bookworm) bookworm; urgency=high

  * remove dependency comment
  * disable joystick launch on bringup
  * regenerate joy_teleop cfg
  * remove schunk-wsg end effector condition for joystick cfg
  * enable multibutton joystick commands
  * add joystick commands dependencies
  * start incrementer servers for gripper, head and torso
  * use radians/s for angular velocity
  * update ROS 2 joy_teleof config and regenerate
  * restore yaml generation format
  * add joy dependency
  * update twist_mux config
  * launch joy_node
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 10 May 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.7-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.6-1bookworm) bookworm; urgency=high

  * fixing the file path using no-arm
  * Contributors: jmguerreroh

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 16 Apr 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.5-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 05 Mar 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.4-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'play_motion2' into 'humble-devel'
    Launch PlayMotion2 and update motions files
    See merge request robots/tiago_robot!189
  * rename play_motion2 launcher
  * add exec dependency play_motion2
  * launch play_motion2
  * regenerate motions files for play_motion2
  * enable regen_em_file.py
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 21 Feb 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.2-1bookworm) bookworm; urgency=high

  * Merge branch 'robot_state_publisher' into 'humble-devel'
    Launch robot_state_publisher from tiago_bringup
    See merge request robots/tiago_robot!185
  * robot_state_publisher from tiago_bringup
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-tiago-bringup (4.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'update_license' into 'humble-devel'
    Update license
    See merge request robots/tiago_robot!180
  * update license
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-humble-tiago-bringup (4.0.0-1bookworm) bookworm; urgency=high

  * Merge branch 'refactor_simulation_launchers' into 'humble-devel'
    Remove launching manipulation in tiago_bringup
    See merge request robots/tiago_robot!177
  * rm launching manipulation
  * Merge branch 'rm_launcher' into 'humble-devel'
    Remove tiago.launch.py and dependencies
    See merge request robots/tiago_robot!176
  * rm tiago.launch.py and dependencies
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * update package.xml deps
  * Merge branch 'launch_move_group' into 'humble-devel'
    Launch move group
    See merge request robots/tiago_robot!172
  * launch moveit2
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor ld
    See merge request robots/tiago_robot!164
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * temporal fix deadman_buttons error when empty
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * tiago launcher
  * Updating format of all motions
  * Renegerating approach_planner config files
  * Renegerating motions config files
  * Removed disable_motion_planning
    Already set in approach plannaer config
  * Not starting play_motion automatically since now requires moveit
  * Using tiago hw suffix to load the proper config files
  * Get robot_description using tiago_launch_utils
  * Load robot_description_semantic into play_motion
  * Rename some tiago hw options, add camera_model and add tests
  * Added play_motion to tiago_bringup
  * UNDO: Disabling motion planning for now
  * Removed rgdb and use launch_pal arg_utils and tiago lauch utils
  * play_motion launch.py
  * Regenerate motions (incomplete) and approach_planner config for ROS2
  * Added new parameters required for joint trajectory controllers
    Also, enabled default controllers
  * Added some ToDo's
  * Added joy_teleop to the tiago_bringup
    Also updated joy_teleop.yaml.em and regenerated config files
  * Added twist_mux to the tiago bringup
    mobile_base_controller now uses the twist unstamped topic instead
  * First version of the tiago_bringup.launch.py
  * tiago_bringup is now a ROS2 package
  * Ignoring tiago_bringup and tiago_controller_configuration for now
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 07 Nov 2022 16:00:00 -0000

ros-humble-tiago-bringup (2.0.55-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Jan 2021 16:00:00 -0000

ros-humble-tiago-bringup (2.0.54-1bookworm) bookworm; urgency=high

  * Merge branch 'new-endoscopic-dual' into 'erbium-devel'
    New endoscopic dual
    See merge request robots/tiago_robot!118
  * make it executable
  * remove confirmation prompts
  * change logit to run script in different terminals and ony one fucntion
  * Merge branch 'new-endoscopic-dual' of gitlab:robots/tiago_robot into new-endoscopic-dual
  * enable automatic two cameras simultaneously using script
  * modify args using index to run dual
  * choose camera by serial (not working as serials are equal
  * automate runing endoscopic depending on vendor/product
  * adapt end_effector_camera.lauch to accpet arguments and 2 cameras
  * enable automatic two cameras simultaneously using script
  * modify args using index to run dual
  * choose camera by serial (not working as serials are equal
  * automate runing endoscopic depending on vendor/product
  * adapt end_effector_camera.lauch to accpet arguments and 2 cameras
  * Contributors: daniellopez, saikishor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 07 Sep 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.53-1bookworm) bookworm; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/tiago_robot!104
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 29 Jul 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.52-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.51-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jul 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.50-1bookworm) bookworm; urgency=high

  * Merge branch 'add-no-safety-eps' into 'erbium-devel'
    Add the option of disabling arm_safety_eps via launch file
    See merge request robots/tiago_robot!115
  * Remove redundant parameter
  * Add the option of disabling arm_safety_eps via launch file
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.49-1bookworm) bookworm; urgency=high

  * Merge branch 'add-master-calibration' into 'erbium-devel'
    Add master calibration compatibility for eye hand and extrinsic
    See merge request robots/tiago_robot!114
  * Use multipliers from master_calibration if available
  * Contributors: Victor Lopez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 30 Jun 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.48-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 09 Jun 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.47-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.46-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.45-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.44-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.43-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.42-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.41-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 06 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.40-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 May 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.39-1bookworm) bookworm; urgency=high

  * Merge branch 'custom-ee' into 'erbium-devel'
    Allow using custom end-effector
    See merge request robots/tiago_robot!102
  * Add parameter files for custom EE
  * Add hardware for custom
  * Allow using custom end-effector
  * Contributors: davidfernandez, victor

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 Apr 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.38-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 26 Feb 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.37-1bookworm) bookworm; urgency=high

  * Merge branch 'wrist_model' into 'erbium-devel'
    add wrist_model arg
    See merge request robots/tiago_robot!101
  * add wrist_model arg
  * Contributors: Victor Lopez, YueErro

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 13 Feb 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.36-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Jan 2020 16:00:00 -0000

ros-humble-tiago-bringup (2.0.35-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 05 Nov 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.34-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 29 Oct 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.33-1bookworm) bookworm; urgency=high

  * Merge branch 'fix-tf-prefix' into 'erbium-devel'
    removed slash from twist mux out topic
    See merge request robots/tiago_robot!97
  * removed slash from twist mux out topic
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 20 Oct 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.32-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 15 Oct 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.31-1bookworm) bookworm; urgency=high

  * Merge branch 'remove-sonar-cloud' into 'erbium-devel'
    remove sonar cloud
    See merge request robots/tiago_robot!94
  * removed sonar cloud
  * remove sonar cloud
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 09 Oct 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.30-1bookworm) bookworm; urgency=high

  * Merge branch 'fix-forced-value' into 'erbium-devel'
    Fix hard coded value, should be default
    See merge request robots/tiago_robot!93
  * Fix hard coded value, should be default
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 01 Oct 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.29-1bookworm) bookworm; urgency=high

  * changed speed limit dep
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.28-1bookworm) bookworm; urgency=high

  * Merge branch 'remove-speed-limit' into 'erbium-devel'
    removed speed limit launch
    See merge request robots/tiago_robot!92
  * removed speed limit launch
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 24 Sep 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.27-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 16 Sep 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.26-1bookworm) bookworm; urgency=high

  * Merge branch 'tiago_camera' into 'erbium-devel'
    added tiago_camera launch file
    See merge request robots/tiago_robot!90
  * added tiago_camera launch file
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 17 Jul 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.25-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.24-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 07 Jul 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.23-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 06 Jun 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.22-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 20 May 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.21-1bookworm) bookworm; urgency=high

  * Merge branch 'endoscope_cam_fix' into 'erbium-devel'
    changed the frame rate to fix libuvc invalid mode error
    See merge request robots/tiago_robot!84
  * changed the frame rate to fix libuvc invalid mode error
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 12 May 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.20-1bookworm) bookworm; urgency=high

  * Merge branch 'no_wrist_gravity' into 'erbium-devel'
    Add gravity no wrist for new wrist model
    See merge request robots/tiago_robot!81
  * Add gravity no wrist for new wrist model
  * Contributors: Adria Roig, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.19-1bookworm) bookworm; urgency=high

  * Merge branch 'add_footprint_wsg' into 'erbium-devel'
    Add Dynamic footprint dor WSG config
    See merge request robots/tiago_robot!83
  * Add Dynamic footprint dor WSG config
  * Contributors: Victor Lopez, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 01 May 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.18-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 22 Apr 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.17-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.15-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 04 Apr 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.14-1bookworm) bookworm; urgency=high

  * Remove gripper usb cam, will be moved package
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 02 Apr 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'incrementer' into 'erbium-devel'
    Add new incrementer in the bringup
    See merge request robots/tiago_robot!79
  * Add new incrementer in the bringup
  * Contributors: Adria Roig, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 27 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.12-1bookworm) bookworm; urgency=high

  * Merge branch 'fix-missing-param' into 'erbium-devel'
    Forward correct arguments, and require them for dynamic_footprint
    See merge request robots/tiago_robot!78
  * Forward correct arguments, and require them for dynamic_footprint
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 25 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.11-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 25 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.10-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 25 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.9-1bookworm) bookworm; urgency=high

  * Merge branch 'iron_home_motion' into 'erbium-devel'
    added home motion for TIAGo Iron
    See merge request robots/tiago_robot!77
  * Regenerate motion and fix missing endline
  * added home motion for TIAGo Iron
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 21 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.8-1bookworm) bookworm; urgency=high

  * Merge branch 'teb_planner' into 'erbium-devel'
    Add base and end-effector to dynamic footprint
    See merge request robots/tiago_robot!74
  * Add base and end-effector to dynamic footprint
  * Merge branch 'minor-fixes' into 'erbium-devel'
    Minor fixes
    See merge request robots/tiago_robot!72
  * Fix missing ft data when using wsg gripper without ft sensor
  * Contributors: Victor Lopez, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 14 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.7-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 13 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.6-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 11 Mar 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.5-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 25 Feb 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.4-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 Feb 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'fix-motion-names' into 'erbium-devel'
    Fix motion names
    See merge request robots/tiago_robot!66
  * Fix motion names
  * Remove usages of pass_all_args, not supported in kinetic yet
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 04 Feb 2019 16:00:00 -0000

ros-humble-tiago-bringup (2.0.2-1bookworm) bookworm; urgency=high

  * Fix wrong generation of wsg without ft
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 20 Dec 2018 16:00:00 -0000

ros-humble-tiago-bringup (2.0.1-1bookworm) bookworm; urgency=high

  * Modify prepare_grasp motion
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 19 Dec 2018 16:00:00 -0000

ros-humble-tiago-bringup (2.0.0-1bookworm) bookworm; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Generate automatically play_motion and approach_planner configs
    See merge request robots/tiago_robot!65
  * Remove deprecated files
  * Remove default parameters to avoid errors
  * fixes
  * Forward joystick arguments
  * More refactor
  * Add head and migrate controller launch
  * Parametrize urdf
  * Split tiago_hardware
  * Change joy_teleop handling
  * Change dynamic_footprint handling
  * Generate automatically play_motion and approach_planner configs
  * 1.0.23
  * changelog
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 18 Dec 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.23-1bookworm) bookworm; urgency=high

  * Merge branch 'launch_robot_pose' into 'erbium-devel'
    added robot_pose in tiago_bringup.launch
    See merge request robots/tiago_robot!61
  * added robot_pose in tiago_bringup.launch
  * Contributors: Jordi Pages, Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Dec 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.22-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 03 Dec 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.21-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Nov 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.20-1bookworm) bookworm; urgency=high

  * Merge branch 'add-grasping-motions' into 'erbium-devel'
    Add motions for pal grasping pipeline
    See merge request robots/tiago_robot!62
  * Add new motions for grasping
  * Add motions for pal grasping pipeline
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 18 Nov 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.19-1bookworm) bookworm; urgency=high

  * Merge branch 'fix-gripper-camera-fps' into 'erbium-devel'
    set gripper camera to 15 fps
    See merge request robots/tiago_robot!59
  * set gripper camera to 15 fps
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 22 Oct 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.18-1bookworm) bookworm; urgency=high

  * Remove wbc from joint mode blacklist
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 18 Sep 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.17-1bookworm) bookworm; urgency=high

  * Merge branch 'disable-speed-limit' into 'erbium-devel'
    Disable speed limit
    See merge request robots/tiago_robot!53
  * removed commented limiters except sonar, discommented sonar limiter
  * speed limit starts disabled
  * Contributors: Procópio Stein, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 16 Sep 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 05 Aug 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.15-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 05 Aug 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.14-1bookworm) bookworm; urgency=high

  * Fix libuvc dependency name
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 31 Jul 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'add-end-effector-camera' into 'erbium-devel'
    add end-effector camera add-on required files
    See merge request robots/tiago_robot!55
  * add end-effector camera add-on required files
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 31 Jul 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.12-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 29 Jul 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.11-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 12 Jul 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.10-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 09 Jul 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.9-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 23 May 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.8-1bookworm) bookworm; urgency=high

  * Merge branch 'deprecate_upload_tiago' into 'erbium-devel'
    deprecate upload_tiago & fix xacro warning --inorder
    See merge request robots/tiago_robot!42
  * deprecate upload_tiago & fix xacro warning --inorder
  * Contributors: Hilario Tome, Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 01 May 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.7-1bookworm) bookworm; urgency=high

  * Merge branch 'motion-rename' into 'erbium-devel'
    Rename some end effector poses to generic names
    See merge request robots/tiago_robot!46
  * Merge branch 'remove-chessboard' into 'erbium-devel'
    Remove chessboard, it's a separate entity now
    See merge request robots/tiago_robot!47
  * Remove chessboard, it's a separate entity now
  * Migrate offer as well
  * Rename some end effector poses to generic names
  * Contributors: Hilario Tome, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 01 May 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.6-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 09 Apr 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.5-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Mar 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.4-1bookworm) bookworm; urgency=high

  * Merge branch 'recover-chessboard-tiago' into 'erbium-devel'
    Recover chessboard tiago
    See merge request robots/tiago_robot!38
  * Add missing tiago_steel_chessboard files
  * Revert "remove unused files"
    This reverts commit e50aca81d55736b99e108bb90d681862be39c028.
  * Contributors: Jordi Pages, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 25 Mar 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.3-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 15 Mar 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.2-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 05 Mar 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.1-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Feb 2018 16:00:00 -0000

ros-humble-tiago-bringup (1.0.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Feb 2018 16:00:00 -0000

ros-humble-tiago-bringup (0.0.46-1bookworm) bookworm; urgency=high

  * added extra wbc controller to mode blacklist and started to add local joint control configuration files
  * Contributors: Hilario Tome

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 19 Feb 2018 16:00:00 -0000

ros-humble-tiago-bringup (0.0.45-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 07 Feb 2018 16:00:00 -0000

ros-humble-tiago-bringup (0.0.44-1bookworm) bookworm; urgency=high

  * fix force sensors axis
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 05 Feb 2018 16:00:00 -0000

ros-humble-tiago-bringup (0.0.43-1bookworm) bookworm; urgency=high

  * add files for schunk-gripper based TIAGo
  * update home and unfold_arm motions
  * remove unused files
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 23 Jan 2018 16:00:00 -0000

ros-humble-tiago-bringup (0.0.42-1bookworm) bookworm; urgency=high

  * Forward correct calibration files to openni2
  * Add Copying of calibration files when launching xtion
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 30 Nov 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.41-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 30 Oct 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.40-1bookworm) bookworm; urgency=high

  * added support for absolute encoders
  * Contributors: Hilario Tomé

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 26 Oct 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.39-1bookworm) bookworm; urgency=high

  * show throttled and downsampled point cloud
    And add buffer for sonars display
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.38-1bookworm) bookworm; urgency=high

  * Add configurations for Tiago Iron
  * Contributors: davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 15 May 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.37-1bookworm) bookworm; urgency=high

  * disabled use_device_time from rgbd camera, to avoid tf errors
  * Contributors: Procópio Stein

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 04 May 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.36-1bookworm) bookworm; urgency=high

  * added servoing_cmd_vel in twist_mux_topics
  * Allow multiple Tiago to use the navigation stack
  * Contributors: Procópio Stein, davidfernandez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 23 Apr 2017 16:00:00 -0000

ros-humble-tiago-bringup (0.0.35-1bookworm) bookworm; urgency=high

  * enable static tf
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 20 Dec 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.34-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sat, 05 Nov 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.33-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 03 Nov 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.32-1bookworm) bookworm; urgency=high

  * add sonars visualizer
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Oct 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.31-1bookworm) bookworm; urgency=high

  * 0.0.30
  * Update changelog
  * add myself as maintainer
  * add myself as maintainer
  * add arg to specifiy cmd_vel_out topic
  * add missing run dependencies
  * include the correct motions for steel version
  * 0.0.29
  * Update changelog
  * Add the option of controlling tiago from the rviz joystick
  * 0.0.28
  * Update changelog
  * Add gripper joints to exclude from planning
  * 0.0.27
  * Update changelog
  * 0.0.26
  * Update changelog
  * put motions for titanium and steel separately
  * 0.0.25
  * Update changelog
  * Add depth_registration to the sensor
  * 0.0.24
  * changelog
  * Revert "set param ignore_read_errors true in ns ros_control_component"
    This reverts commit 244a8b98d6faeca71650903da68a0ab374f7c6cf.
  * 0.0.23
  * Update changelog
  * 0.0.22
  * Update changelog
  * 0.0.21
  * Update changelog
  * 0.0.20
  * Update changelog
  * 0.0.19
  * Update changelog
  * 0.0.18
  * changelog
  * 0.0.17
  * changelog
  * add missing launch sonar_to_cloud
  * 0.0.16
  * Update changelog
  * 0.0.15
  * Update changelog
  * set param ignore_read_errors true in ns ros_control_component
  * 0.0.14
  * Update changelog
  * Add openni2_launch dependency
  * 0.0.13
  * Update changelog
  * Contributors: Jeremie Deray, Jordi Pages, Sam Pfeiffer, Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 13 Oct 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.30-1bookworm) bookworm; urgency=high

  * add myself as maintainer
  * add myself as maintainer
  * add arg to specifiy cmd_vel_out topic
  * add missing run dependencies
  * include the correct motions for steel version
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 12 Oct 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.29-1bookworm) bookworm; urgency=high

  * Add the option of controlling tiago from the rviz joystick
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 27 Jul 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.28-1bookworm) bookworm; urgency=high

  * Add gripper joints to exclude from planning
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 27 Jul 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.27-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 18 Jul 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.26-1bookworm) bookworm; urgency=high

  * put motions for titanium and steel separately
  * Contributors: Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 07 Jul 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.25-1bookworm) bookworm; urgency=high

  * Add depth_registration to the sensor
  * Contributors: Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 27 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.24-1bookworm) bookworm; urgency=high

  * Revert "set param ignore_read_errors true in ns ros_control_component"
    This reverts commit 244a8b98d6faeca71650903da68a0ab374f7c6cf.
  * Contributors: Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.23-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.22-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.21-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.20-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.19-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.18-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.17-1bookworm) bookworm; urgency=high

  * add missing launch sonar_to_cloud
  * Contributors: Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 12 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.16-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 12 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.15-1bookworm) bookworm; urgency=high

  * set param ignore_read_errors true in ns ros_control_component
  * Contributors: Jeremie Deray

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 12 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.14-1bookworm) bookworm; urgency=high

  * Add openni2_launch dependency
  * Contributors: Victor Lopez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.13-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.12-1bookworm) bookworm; urgency=high

  * Working head configuration for TIAGo
  * Add transformation to correct FT readings
  * Add hardware port of force torque
  * Contributors: Jordan Palacios, Sam Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.11-1bookworm) bookworm; urgency=high

  * Remove extra joints as the casters are not published anymore
  * modify arm_6_joint position in home and unfold_arm
  * add depth image visualizer
  * 0.0.10
  * Updated changelog
  * Added joint mode blacklist to tiago hardware config
  * 0.0.9
  * Update changelog
  * Making the incrementer server use the safe command topic
  * Increase increments on head movements
  * add new motions and modify existing ones
  * 0.0.8
  * Update changelog
  * 0.0.7
  * Update changelog
  * 0.0.6
  * Update changelogs
  * Adding a stronger torque value
  * Added blacklist parameter to tiago hardware
  * Default dynamixel head for tiago 0, added as default because contains
    new dynamixel head necessary parameters
  * 0.0.5
  * Update changelog
  * Adding new defaults for TIAGo
    Current limit controller for the wheels.
    Soften on effort values config for a specific robot.
  * remap turbo reset
  * tune joy min/max speed to reduce slipping
  * remap joy speed in/decrease as they conflict with tiago torso
  * spawn tiago speed_limit conf
  * pmb2 twist_mux conf
  * Re-Add marker detector launcher
  * Add missing ports
  * Add needed parameters from the base
  * Fix ID of motor for tilt
  * Remove battery monitor as its spamming and
    soon we'll have a real node giving battery information.
    Also the screen of the robot shows battery level
  * Remove play_motion from launch to be started by pal_startup
  * Add metadata of motions to make them show on webcommander
  * Remove xtion from bringup launch, startup will take care of it
  * Recovered fast hand motions
  * updated poses for tiago0
  * Add meta and motions that were deleted
  * changed twist_mux out cmd topic
  * Cleanup & add arm plannign group to play_motion
  * Nicer home position
  * Fix remapping to controller
  * change torso limits and update motions
  * add chessboard to dynamic foot print
  * restrict lifter joint to go lower than 5 cm
    Take into account new mobile base covers that are 5 cm high
  * Merge branch 'extra-joints' into 'cobalt-devel'
    Use generic pal_ros_control components
    Depends on:
    * [pal_ros_control/#5](https://gitlab/control/pal_ros_control/merge_requests/5) for handling dynamixels out-of-band of the actuators manager.
    * [ros_controllers/#15](https://gitlab/control/ros_controllers/merge_requests/15) for publishing dummy state for the caster joints on hardware deployments.
  * Add configuration for dynamixel node
  * add navigation displays
  * add rviz configuration file
  * Add extra_joints spec for joint state controller
    Only in hardware deployments: Load set of extra joints to be published as
    dummies by the joint_state_controller.
  * Add battery_reporter to bringup
  * Refs #11195. Add launch file for look_to_link
  * Compatibility with pal_ros_control 0.4.3
    Update bringup configuration so TIAGo can use the generic ros_control component
    that is aware of extra joints not managed by ActuatorsManager (Dynamixel head
    joints).
  * add launch file for lookToLink node
  * Remove head from motion
  * Take out planning group for arm
  * Add open-close hand
  * Remove head from motion description
  * Corrected open and close motions (altho they are very slow)
  * add line
  * refs #11033. Define movement to unfold arm
  * Add hand controller and wave motion
  * Update home motion
  * Enable motion planning and exclude hand joints from planning
  * Contributors: Adolfo Rodriguez, Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Hilario Tome, Jeremie Deray, Jordi Pages, Sam Pfeiffer, Sammy Pfeiffer, Victor Lopez, mailto:jordi.pages@pal-robotics.com

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Jun 2016 16:00:00 -0000

ros-humble-tiago-bringup (0.0.4-1bookworm) bookworm; urgency=high

  * add motion to test the head
  * Adding tiago_shadow, tiago with shadow lite hand (! no dependency on shadow packages on purpose!)
  * Add head_xtion.launch to tiago.launch
  * Contributors: Bence Magyar, Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 19 May 2015 16:00:00 -0000

ros-humble-tiago-bringup (0.0.3-1bookworm) bookworm; urgency=high

  * add robot argument
  * Contributors: Bence Magyar

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Apr 2015 16:00:00 -0000

ros-humble-tiago-bringup (0.0.2-1bookworm) bookworm; urgency=high

  * Add incrementers for joy_teleop
  * Move play_motion to controller launch files, update dependencies accordingly
  * Add iron to startup
  * Propagate robot argument to move_group
  * moved to tiago_calibration package
  * add step in pregrasp motion
  * add motions for eye-hand calibration
  * Add gripper open/close to motions
  * Use steel and titanium tiago, launch files parametrized
  * add tabletop pre-grasping pose
    add motion from extended arm on the side to raised pregrasping pose
  * Add launch file for head xtion
  * Change occureces of ant to pmb2
  * Contributors: Bence Magyar, Jordi Pages

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 14 Apr 2015 16:00:00 -0000

ros-humble-tiago-bringup (0.0.1-1bookworm) bookworm; urgency=high

  * Add launch and dependency for dynamixel_node
  * Add tiago_hardware.yaml file, upload in bringup and install rules for it
  * Added launching of moveit on bringup
  * Home motion = tucked
  * Fix namespace
  * Add play_motion and related config files
  * Add dependencies
  * Add deps to stuff used in launch files
  * Add tiago_bringup and tiago_controller_configuration
  * Contributors: Bence Magyar, Sammy Pfeiffer

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 19 Jan 2015 16:00:00 -0000


